Security Groups

List Security Groups

get

Retrieve a list of available security groups.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID]

  • depth=0: Only direct properties are included; children (servers and other elements) are not included.
  • depth=1: Direct properties and children references are included.
  • depth=2: Direct properties and children properties are included.
  • depth=3: Direct properties and children properties and children's children are included.
  • depth=... and so on
Default: 0
offsetinteger · int32Optional

The first element (from the complete list of the elements) to include in the response (used together with limit for pagination).

Default: 0
limitinteger · int32 · min: 1 · max: 10000Optional

The maximum number of elements to return (use together with offset for pagination).

Default: 1000
Responses
get
/datacenters/{datacenterId}/securitygroups

Create a Security Group

post

Creates a security group within the data center. This will allow you to define which IP addresses and networks have access to your servers.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID]

  • depth=0: Only direct properties are included; children (servers and other elements) are not included.
  • depth=1: Direct properties and children references are included.
  • depth=2: Direct properties and children properties are included.
  • depth=3: Direct properties and children properties and children's children are included.
  • depth=... and so on
Default: 0
Body
Responses
chevron-right
202

Accepted. The request has been accepted for processing.

application/json
post
/datacenters/{datacenterId}/securitygroups

Retrieve a Security Group

get

Retrieves the attributes of a given Security Group.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center

securityGroupIdstringRequired

The unique ID of the security group.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID]

  • depth=0: Only direct properties are included; children (servers and other elements) are not included.
  • depth=1: Direct properties and children references are included.
  • depth=2: Direct properties and children properties are included.
  • depth=3: Direct properties and children properties and children's children are included.
  • depth=... and so on
Default: 0
Responses
get
/datacenters/{datacenterId}/securitygroups/{securityGroupId}

Modify Security Group

put

Modify the properties of the specified Security Group within the data center.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

securityGroupIdstringRequired

The unique ID of the Security Group.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID]

  • depth=0: Only direct properties are included; children (servers and other elements) are not included.
  • depth=1: Direct properties and children references are included.
  • depth=2: Direct properties and children properties are included.
  • depth=3: Direct properties and children properties and children's children are included.
  • depth=... and so on
Default: 0
Body
Responses
chevron-right
202

Successful operation

application/json
put
/datacenters/{datacenterId}/securitygroups/{securityGroupId}

Delete a Security Group

delete

Deletes the specified Security Group.

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

securityGroupIdstringRequired

The unique ID of the Security Group.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
Responses
chevron-right
202

Accepted. The request has been accepted for processing.

delete
/datacenters/{datacenterId}/securitygroups/{securityGroupId}

No content

Partially modify Security Group

patch

Modify the properties of the specified Security Group within the data center.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

securityGroupIdstringRequired

The unique ID of the Security Group.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID]

  • depth=0: Only direct properties are included; children (servers and other elements) are not included.
  • depth=1: Direct properties and children references are included.
  • depth=2: Direct properties and children properties are included.
  • depth=3: Direct properties and children properties and children's children are included.
  • depth=... and so on
Default: 0
Body
namestring · max: 60Required

The name of the security group.

Example: My security group
descriptionstring · max: 300Optional

The description of the security group.

Example: My security group description
Responses
chevron-right
202

Successful operation

application/json
patch
/datacenters/{datacenterId}/securitygroups/{securityGroupId}

List Security Group rules

get

List all rules for the specified Security Group.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

securityGroupIdstringRequired

The unique ID of the security group.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID]

  • depth=0: Only direct properties are included; children (servers and other elements) are not included.
  • depth=1: Direct properties and children references are included.
  • depth=2: Direct properties and children properties are included.
  • depth=3: Direct properties and children properties and children's children are included.
  • depth=... and so on
Default: 0
offsetinteger · int32Optional

The first element (from the complete list of the elements) to include in the response (used together with limit for pagination).

Default: 0
limitinteger · int32 · min: 1 · max: 10000Optional

The maximum number of elements to return (use together with offset for pagination).

Default: 1000
Responses
get
/datacenters/{datacenterId}/securitygroups/{securityGroupId}/rules

Create Firewall rule to a Security Group

post

Create one firewall rule and attach it to the existing security group

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
datacenterIdstringRequired

The unique ID of the data center

securityGroupIdstringRequired

The unique ID of the security group.

Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
post
/datacenters/{datacenterId}/securitygroups/{securityGroupId}/rules

Retrieve security group rule by id

get

Retrieve the properties of the specified Security Group rule.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

securityGroupIdstringRequired

The unique ID of the Security Group.

ruleIdstringRequired

The unique ID of the Security Group rule.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID]

  • depth=0: Only direct properties are included; children (servers and other elements) are not included.
  • depth=1: Direct properties and children references are included.
  • depth=2: Direct properties and children properties are included.
  • depth=3: Direct properties and children properties and children's children are included.
  • depth=... and so on
Default: 0
Responses
get
/datacenters/{datacenterId}/securitygroups/{securityGroupId}/rules/{ruleId}

Modify a Security Group Rule

put

Modifies the properties of the specified Security Group Rule.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

securityGroupIdstringRequired

The unique ID of the security group.

ruleIdstringRequired

The unique ID of the Security Group Rule.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID]

  • depth=0: Only direct properties are included; children (servers and other elements) are not included.
  • depth=1: Direct properties and children references are included.
  • depth=2: Direct properties and children properties are included.
  • depth=3: Direct properties and children properties and children's children are included.
  • depth=... and so on
Default: 0
Body
idstringRead-onlyOptional

The resource's unique identifier.

Example: 15f67991-0f51-4efc-a8ad-ef1fb31a480c
typestring · enumOptionalPossible values:
hrefstring · uriRead-onlyOptional

URL to the object representation (absolute path).

Example: <RESOURCE-URI>
Responses
chevron-right
202

Successful operation

application/json
put
/datacenters/{datacenterId}/securitygroups/{securityGroupId}/rules/{ruleId}

Remove a Firewall Rule from a Security Group

delete

Removes the specific Firewall Rule from the Security Group and delete the Firewall rule

Authorizations
AuthorizationstringRequired

Please provide header value as 'Bearer ' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token.

Path parameters
datacenterIdstringRequired

The unique ID of the data center

securityGroupIdstringRequired

The unique ID of the security group.

ruleIdstringRequired

The unique ID of the firewall rule.

Responses
chevron-right
202

Accepted. The request has been accepted for processing.

delete
/datacenters/{datacenterId}/securitygroups/{securityGroupId}/rules/{ruleId}

No content

Partially modify Security Group Rules

patch

Update the properties of the specified Security Group rule.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

securityGroupIdstringRequired

The unique ID of the security group.

ruleIdstringRequired

The unique ID of the Security Group Rule.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID]

  • depth=0: Only direct properties are included; children (servers and other elements) are not included.
  • depth=1: Direct properties and children references are included.
  • depth=2: Direct properties and children properties are included.
  • depth=3: Direct properties and children properties and children's children are included.
  • depth=... and so on
Default: 0
Body
namestringOptional

The name of the resource.

Example: My resource
protocolstring · enumRequired

The protocol for the rule. Property cannot be modified after it is created (disallowed in update requests).

Example: TCPPossible values:
sourceMacstring · nullableOptional

Only traffic originating from the respective MAC address is allowed. Valid format: aa:bb:cc:dd:ee:ff. Value null allows traffic from any MAC address.

Example: 00:0a:95:9d:68:16
ipVersionstring · enum · nullableOptional

The IP version for this rule. If sourceIp or targetIp are specified, you can omit this value - the IP version will then be deduced from the IP address(es) used; if you specify it anyway, it must match the specified IP address(es). If neither sourceIp nor targetIp are specified, this rule allows traffic only for the specified IP version. If neither sourceIp, targetIp nor ipVersion are specified, this rule will only allow IPv4 traffic.

Example: IPv4Possible values:
sourceIpstring · nullableOptional

Only traffic originating from the respective IP address (or CIDR block) is allowed. Value null allows traffic from any IP address (according to the selected ipVersion).

Example: 22.231.113.64
targetIpstring · nullableOptional

If the target NIC has multiple IP addresses, only the traffic directed to the respective IP address (or CIDR block) of the NIC is allowed. Value null allows traffic to any target IP address (according to the selected ipVersion).

Example: 22.231.113.64
icmpCodeinteger · int32 · max: 254 · nullableOptional

Defines the allowed code (from 0 to 254) if protocol ICMP or ICMPv6 is chosen. Value null allows all codes.

Example: 0
icmpTypeinteger · int32 · max: 254 · nullableOptional

Defines the allowed type (from 0 to 254) if the protocol ICMP or ICMPv6 is chosen. Value null allows all types.

Example: 8
portRangeStartinteger · int32 · min: 1 · max: 65535Optional

Defines the start range of the allowed port (from 1 to 65535) if protocol TCP or UDP is chosen. Leave portRangeStart and portRangeEnd value null to allow all ports.

Example: 8
portRangeEndinteger · int32 · min: 1 · max: 65535Optional

Defines the end range of the allowed port (from 1 to 65535) if the protocol TCP or UDP is chosen. Leave portRangeStart and portRangeEnd null to allow all ports.

Example: 8
typestring · enumOptional

The type of the firewall rule. If not specified, the default INGRESS value is used.

Example: INGRESSPossible values:
Responses
chevron-right
202

Successful operation

application/json
patch
/datacenters/{datacenterId}/securitygroups/{securityGroupId}/rules/{ruleId}

Attach a list of Security Groups to a Server

put

Updating the list of Security Groups attached to an existing server specified by its ID. Security Groups should already exist as part of the datacenter.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID]

  • depth=0: Only direct properties are included; children (servers and other elements) are not included.
  • depth=1: Direct properties and children references are included.
  • depth=2: Direct properties and children properties are included.
  • depth=3: Direct properties and children properties and children's children are included.
  • depth=... and so on
Default: 0
Body
idsstring · uuid[]Required

The list of IDs

Example: ["ac51b8e4-050c-4941-b7cd-43923422fe6e","ea737d87-8754-4a42-b97c-0b1a8f619de5"]
Responses
put
/datacenters/{datacenterId}/servers/{serverId}/securitygroups

Attach a list of Security Groups to a NIC

put

Updating the list of Security Groups attached to an existing NIC specified by its ID. Security Groups should already exist as part of the datacenter.

Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Note:

Path parameters
datacenterIdstringRequired

The unique ID of the data center.

serverIdstringRequired

The unique ID of the server.

nicIdstringRequired

The unique ID of the server.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID]

  • depth=0: Only direct properties are included; children (servers and other elements) are not included.
  • depth=1: Direct properties and children references are included.
  • depth=2: Direct properties and children properties are included.
  • depth=3: Direct properties and children properties and children's children are included.
  • depth=... and so on
Default: 0
Body
idsstring · uuid[]Required

The list of IDs

Example: ["ac51b8e4-050c-4941-b7cd-43923422fe6e","ea737d87-8754-4a42-b97c-0b1a8f619de5"]
Responses
put
/datacenters/{datacenterId}/servers/{serverId}/nics/{nicId}/securitygroups

Last updated

Was this helpful?